Arbor 3: FSM & BT Graph Editor 3.3.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleBounds Class Reference

参照方法が複数ある柔軟なBounds型を扱うクラス。 More...

Inheritance diagram for FlexibleBounds:

## Public Member Functions
object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleBounds ()
| FlexibleBoundsデフォルトコンストラクタ More...
| FlexibleBounds (Bounds value)
| FlexibleBoundsコンストラクタ More...
| FlexibleBounds (BoundsParameterReference parameter)
| FlexibleBoundsコンストラクタ More...
| FlexibleBounds (InputSlotBounds slot)
| FlexibleBoundsコンストラクタ More...

## Static Public Member Functions
static | operator Bounds (FlexibleBounds flexible)
| FlexibleBoundsをBoundsにキャスト。 More...
static | operator FlexibleBounds (Bounds value)
| BoundsをFlexibleBoundsにキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
Bounds | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なBounds型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleBounds | ( |  | ) |

FlexibleBoundsデフォルトコンストラクタ

FlexibleBounds | ( | Bounds | value | ) |

FlexibleBoundsコンストラクタ

Parameters

  value | 値

FlexibleBounds | ( | BoundsParameterReference | parameter | ) |

FlexibleBoundsコンストラクタ

Parameters

  parameter | パラメータ

FlexibleBounds | ( | InputSlotBounds | slot | ) |

FlexibleBoundsコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

static operator Bounds | ( | FlexibleBounds | flexible | ) |
| explicit static

FlexibleBoundsをBoundsにキャスト。

Parameters

  flexible | FlexibleBounds

static operator FlexibleBounds | ( | Bounds | value | ) |
| explicit static

BoundsをFlexibleBoundsにキャスト。

Parameters

  value | Bounds

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

Bounds value
| get

値を返す